
Katello - Tracker #23927

Convert sync plans to Foreman Tasks

06/13/2018 08:31 PM - Justin Sherrill

Status: Closed % Done: 0%

Priority: Normal   

Assignee: Justin Sherrill   

Category: Sync Plans   

Target version: Katello 3.9.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1601017 Red Hat JIRA:  

Description

Related issues:

Related to Katello - Bug #24733: [Sync-plans] Sync plans created with start d... Closed

Blocked by Katello - Bug #23928: Migrate sync plans to recurring logics Closed

Blocked by Katello - Feature #23929: Specify custom cron syntax for sync plans Closed

Blocked by Katello - Bug #22961: re-vamp upgrade proccess to not require inst... Duplicate

Blocked by foreman-tasks - Feature #23888: support enable/disable recurring l... Closed

Blocked by Foreman - Refactor #21938: Single upgrade rake task Closed

Blocked by Katello - Refactor #24189: Update katello to use foreman upgrade task Closed

Blocked by Katello - Bug #24671: [Sync-plans] Remove dead code Closed

Blocked by Katello - Bug #24828: add sync-plan upgrade task to new upgrade pr... Closed

Blocked by Katello - Bug #24818: [Sync-plans] Sync plan save button continues... Closed

Blocked by Katello - Bug #24901: [Sync-Plans] Clear cron expression when inte... Closed

History

#1 - 06/13/2018 08:45 PM - Justin Sherrill

- Blocked by Bug #23928: Migrate sync plans to recurring logics added

#2 - 06/13/2018 08:48 PM - Justin Sherrill

- Blocked by Feature #23929: Specify custom cron syntax for sync plans added

#3 - 06/13/2018 08:50 PM - Justin Sherrill

- Blocked by Bug #22961: re-vamp upgrade proccess to not require installer updates added

#4 - 06/13/2018 08:51 PM - Justin Sherrill

- Blocked by Feature #23888: support enable/disable recurring logics added

#5 - 06/19/2018 06:44 PM - Justin Sherrill

- Blocked by Refactor #21938: Single upgrade rake task added

#6 - 06/20/2018 06:11 PM - Jonathon Turel

- translation missing: en.field_release set to 349

#7 - 06/22/2018 02:24 AM - Justin Sherrill

ForemanTasks::RecurringLogic.new_from_cronline("38 14 4 5 *").start(::Actions::Katello::Repository::Sync,  ::Katello::Repository.last)

#8 - 07/06/2018 08:34 PM - Justin Sherrill

- Blocked by Refactor #24189: Update katello to use foreman upgrade task added
#9 - 07/13/2018 03:14 PM - Bryan Kearney

- Bugzilla link set to 1601017

#10 - 07/25/2018 06:28 PM - Andrew Kofink

- Target version changed from Katello 3.8.0 to Katello 3.9.0

#11 - 08/21/2018 02:05 PM - Samir Jha

- Blocked by Bug #24671: [Sync-plans] Remove dead code added

#12 - 08/28/2018 02:40 PM - Samir Jha

- Related to Bug #24733: [Sync-plans] Sync plans created with start date in the past schedule a lot of dynflow tasks. added

#13 - 09/05/2018 04:14 PM - Justin Sherrill

- Blocked by Bug #24828: add sync-plan upgrade task to new upgrade process added

#14 - 09/07/2018 03:08 AM - Samir Jha

- Blocked by Bug #24818: [Sync-plans] Sync plan save button continues to be in working mode after error added

#15 - 09/12/2018 03:59 PM - Samir Jha

- Blocked by Bug #24901: [Sync-Plans] Clear cron expression when interval is not custom cron added

#16 - 10/31/2018 06:01 PM - Jonathon Turel

- Status changed from New to Closed
